package com.waitrose.jsftest.beans;

import org.apache.shale.tiger.managed.Bean;
import org.apache.shale.tiger.managed.Scope;
import org.apache.shale.tiger.managed.Value;
import org.apache.shale.tiger.view.Prerender;
import org.apache.shale.tiger.view.View;
import org.apache.shale.tiger.view.Destroy;
import org.apache.shale.tiger.view.Init;


/**
 * Created by IntelliJ IDEA.
 * User: roffiah
 * Date: 18-May-2006
 * Time: 12:49:04
 */
@Bean(name="person", scope= Scope.SESSION)
@View public class Person  {

    @Value("Raymond") private String name;
    private String address;
    private String telephoneNumber;
    @Value("ray_offiah@yahoo.co.uk") private String emailAddress;
    

    public Person() {

    }

    public String getName() {
        
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getTelephoneNumber() {
        return telephoneNumber;
    }

    public void setTelephoneNumber(String telephoneNumber) {
        this.telephoneNumber = telephoneNumber;
    }

    public String getEmailAddress() {
        return emailAddress;
    }

    public void setEmailAddress(String emailAddress) {
        this.emailAddress = emailAddress;
    }


    public String getDetails() {
        return "This is a test";
    }

    @Prerender public void doBeforeRendering() {

        System.out.println("Pre-rendering");
    }

    @Init public void setUp(){

        System.out.println("Initialising controller");

    }

    @Destroy public void tearDown() {

        System.out.println("Tearing down");

    }
}
